Package tigase.xmpp.mam

# Class QueryImpl

java.lang.Object
tigase.xmpp.mam.QueryImpl

All Implemented Interfaces:
  `Query`

Direct Known Subclasses:
  `ExtendedQueryImpl`

public class QueryImpl extends Object implements Query
Class implements Query interface and is base implementation of query holder used by implementation of XEP-0313: Message Archive Management
Created by andrzej on 21.07.2016.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JID`
  `getComponentJID()`
  `Date`
  `getEnd()`
  `String`
  `getId()`
  `JID`
  `getQuestionerJID()`
  `RSM`
  `getRsm()`
  `Date`
  `getStart()`
  `JID`
  `getWith()`
  `String`
  `getXMLNS()`
  `void`
  `setComponentJID(JID componentJID)`
  `void`
  `setEnd(Date end)`
  `void`
  `setId(String id)`
  `void`
  `setQuestionerJID(JID questionerJID)`
  `void`
  `setStart(Date start)`
  `void`
  `setWith(JID with)`
  `void`
  `setXmlns(String xmlns)`
  `void`
  `setXMLNS(String xmlns)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryImpl

    public QueryImpl()

- ## Method Details

  - ### getXMLNS

    public String getXMLNS()
    Specified by:
      `getXMLNS` in interface `Query`

  - ### setXMLNS

    public void setXMLNS(String xmlns)
    Specified by:
      `setXMLNS` in interface `Query`

  - ### setXmlns

    public void setXmlns(String xmlns)

  - ### getQuestionerJID

    public JID getQuestionerJID()
    Specified by:
      `getQuestionerJID` in interface `Query`

  - ### setQuestionerJID

    public void setQuestionerJID(JID questionerJID)
    Specified by:
      `setQuestionerJID` in interface `Query`

  - ### getComponentJID

    public JID getComponentJID()
    Specified by:
      `getComponentJID` in interface `Query`

  - ### setComponentJID

    public void setComponentJID(JID componentJID)
    Specified by:
      `setComponentJID` in interface `Query`

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `Query`

  - ### setId

    public void setId(String id)
    Specified by:
      `setId` in interface `Query`

  - ### getStart

    public Date getStart()
    Specified by:
      `getStart` in interface `Query`

  - ### setStart

    public void setStart(Date start)
    Specified by:
      `setStart` in interface `Query`

  - ### getEnd

    public Date getEnd()
    Specified by:
      `getEnd` in interface `Query`

  - ### setEnd

    public void setEnd(Date end)
    Specified by:
      `setEnd` in interface `Query`

  - ### getWith

    public JID getWith()
    Specified by:
      `getWith` in interface `Query`

  - ### setWith

    public void setWith(JID with)
    Specified by:
      `setWith` in interface `Query`

  - ### getRsm

    public RSM getRsm()
    Specified by:
      `getRsm` in interface `Query`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`